crashpad::internal::MachOImageSymbolTableReaderInitializer Class Reference

The internal implementation for MachOImageSymbolTableReader. More...

## Public Member Functions

| MachOImageSymbolTableReaderInitializer (ProcessReaderMac *process_reader, const MachOImageSegmentReader *linkedit_segment, const std::string &module_info)
bool | Initialize (const process_types::symtab_command *symtab_command, const process_types::dysymtab_command *dysymtab_command, MachOImageSymbolTableReader::SymbolInformationMap *external_defined_symbols)
| Reads the symbol table from another process. More...

## Detailed Description

The internal implementation for MachOImageSymbolTableReader.

Initialization is broken into more than one function that needs to share data, so member variables are used. However, much of this data is irrelevant after initialization is completed, so rather than doing it in MachOImageSymbolTableReader, it’s handled by this class, which is a “friend” of MachOImageSymbolTableReader.

## Member Function Documentation

## Initialize()

bool crashpad::internal::MachOImageSymbolTableReaderInitializer::Initialize | ( | const process_types::symtab_command * | symtab_command,
|  | const process_types::dysymtab_command * | dysymtab_command,
|  | MachOImageSymbolTableReader::SymbolInformationMap * | external_defined_symbols
| ) |  |

inline

Reads the symbol table from another process.

See also
  MachOImageSymbolTableReader::Initialize()

The documentation for this class was generated from the following file:

- snapshot/mac/mach_o_image_symbol_table_reader.cc